View Issue Details

IDProjectCategoryView StatusLast Update
0000021SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterabrougherAssigned Tomhanes 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.1 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000021: Add support for Sqlite over JDBC
DescriptionCreate a SQLLite Dialect
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000107

Prepare for release

Related Changesets

SymmetricDS: master 88021ee0

2012-10-24 09:29:55

eegeek

Details Diff
0000021: Add support for Sqlite over JDBC
0000021
mod - symmetric-client/pom.xml Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/test/TestSetupUtil.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ISequenceService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/SequenceService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/test/TestTablesService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/AbstractSqlRowMapper.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTransaction.java Diff File
mod - symmetric-io/pom.xml Diff File
mod - symmetric-jdbc/pom.xml Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDatabasePlatform.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File
mod - symmetric-parent/pom.xml Diff File
mod - symmetric-server/pom.xml Diff File
mod - symmetric-server/src/test/resources/test-integration-root-setup.sql Diff File

SymmetricDS: master dbe23e7c

2012-10-24 10:27:29

eegeek

Details Diff
0000021: Add support for Sqlite over JDBC
0000021
mod - symmetric-server/src/test/resources/test-integration-root-setup.sql Diff File

SymmetricDS: master 1197f707

2012-11-06 14:27:17

eegeek

Details Diff
0000021: Add support for SQlite over JDBC
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File

SymmetricDS: master 81b8e903

2012-11-20 14:32:02

eegeek

Details Diff
0000021: Add support for SQlite over JDBC
0000021
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File

SymmetricDS: master 73db9ada

2012-11-20 14:33:03

eegeek

Details Diff
0000021: Add support for SQlite over JDBC
0000021
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

SymmetricDS: master 02483ab0

2012-11-27 13:51:50

eegeek

Details Diff
0000021: Add support for SQlite over JDBC
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File

SymmetricDS: master d463e8f5

2012-11-28 15:18:02

eegeek

Details Diff
0000021: SQLite - refactor of JDBCUtils into JDBCSqlTemplate so that methods can be overridden by dialects
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/greenplum/GreenplumJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcUtils.java Diff File

SymmetricDS: master 95f45c87

2012-11-28 16:07:28

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDatabasePlatform.java Diff File

SymmetricDS: master fe4fceb7

2012-12-03 11:33:30

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlConstants.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File

SymmetricDS: master b987ce28

2012-12-03 11:46:46

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File

SymmetricDS: master 1fbd69bc

2012-12-03 12:27:19

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File

SymmetricDS: master 9f050fb4

2012-12-03 13:22:13

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File

SymmetricDS: master 84315957

2012-12-03 14:11:06

eegeek

Details Diff
0000021: SQLite - added new foreign key support available boolean.
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseInfo.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File

SymmetricDS: master b3474954

2012-12-03 15:30:22

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File

SymmetricDS: master f236dc19

2012-12-04 15:07:27

eegeek

Details Diff
0000021: SQLite - Capture LOB support.
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File

SymmetricDS: master f467b9ed

2012-12-04 16:12:57

eegeek

Details Diff
0000021: SQLite - Stream LOB support.
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File

SymmetricDS: master 0eb136dc

2012-12-04 16:40:25

eegeek

Details Diff
0000021: SQLite - Start of documentation in User's Guide.
0000021
mod - symmetric-assemble/src/docbook/databases.xml Diff File
mod - symmetric-assemble/src/docbook/introduction.xml Diff File

SymmetricDS: master 255ae175

2012-12-06 15:25:38

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DbTestUtils.java Diff File

SymmetricDS: master 067fd702

2012-12-06 16:36:55

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File

SymmetricDS: master 0169dc0c

2012-12-07 09:25:46

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File

SymmetricDS: master f73a9298

2012-12-07 14:58:29

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

SymmetricDS: master 10925eb7

2012-12-07 15:18:17

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlConstants.java Diff File

SymmetricDS: master 873ceb55

2012-12-07 16:15:47

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File

SymmetricDS: master 2092cab1

2012-12-07 16:25:42

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractWriterTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File

SymmetricDS: master 16024bdd

2012-12-09 14:52:41

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbExport.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

SymmetricDS: master eb89922e

2012-12-09 15:03:04

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractServiceTest.java Diff File

SymmetricDS: master b9f72454

2012-12-09 16:13:11

eegeek

Details Diff
0000021: SQLite
0000021
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/AbstractIntegrationTest.java Diff File

SymmetricDS: master 392af25c

2012-12-10 11:14:00

eegeek

Details Diff
0000021: SQLite - added replacement token parsing to SQLScript for DBExportImport tests and replacement timestamp and date tokens for SQLite.
0000021
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/test/TestSetupUtil.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScript.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDatabasePlatform.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master b9813596

2012-12-12 13:47:32

eegeek

Details Diff
0000021: SQLite - drop table ddl needs if exists.
0000021
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2012-09-16 11:37 chenson Reporter => abrougher
2012-09-16 11:37 chenson Target Version => 3.2.0
2012-09-16 11:37 chenson Summary Create a SQLLite Dialect => Add support for Sqlite over JDBC
2012-11-09 18:16 chenson Assigned To => mhanes
2012-11-09 18:16 chenson Status new => assigned
2012-12-16 11:26 chenson Status assigned => resolved
2012-12-16 11:26 chenson Fixed in Version => 3.2.0
2012-12-16 11:26 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000107
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6373
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6374
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6486
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6533
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6534
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6560
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6580
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6581
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6607
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6608
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6610
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6612
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6613
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6614
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6619
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6620
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6621
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6638
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6639
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6641
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6645
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6646
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6647
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6648
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6649
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6650
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6651
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6657
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6666
2015-07-30 21:49 Changeset attached => SymmetricDS master b9813596
2015-07-30 21:49 Changeset attached => SymmetricDS master 392af25c
2015-07-30 21:49 Changeset attached => SymmetricDS master b9f72454
2015-07-30 21:49 Changeset attached => SymmetricDS master eb89922e
2015-07-30 21:49 Changeset attached => SymmetricDS master 16024bdd
2015-07-30 21:49 Changeset attached => SymmetricDS master 2092cab1
2015-07-30 21:49 Changeset attached => SymmetricDS master 873ceb55
2015-07-30 21:49 Changeset attached => SymmetricDS master 10925eb7
2015-07-30 21:49 Changeset attached => SymmetricDS master f73a9298
2015-07-30 21:49 Changeset attached => SymmetricDS master 0169dc0c
2015-07-30 21:49 Changeset attached => SymmetricDS master 067fd702
2015-07-30 21:49 Changeset attached => SymmetricDS master 255ae175
2015-07-30 21:49 Changeset attached => SymmetricDS master 0eb136dc
2015-07-30 21:49 Changeset attached => SymmetricDS master f467b9ed
2015-07-30 21:49 Changeset attached => SymmetricDS master f236dc19
2015-07-30 21:49 Changeset attached => SymmetricDS master b3474954
2015-07-30 21:49 Changeset attached => SymmetricDS master 84315957
2015-07-30 21:49 Changeset attached => SymmetricDS master 9f050fb4
2015-07-30 21:49 Changeset attached => SymmetricDS master 1fbd69bc
2015-07-30 21:49 Changeset attached => SymmetricDS master b987ce28
2015-07-30 21:49 Changeset attached => SymmetricDS master fe4fceb7
2015-07-30 21:49 Changeset attached => SymmetricDS master 95f45c87
2015-07-30 21:49 Changeset attached => SymmetricDS master d463e8f5
2015-07-30 21:49 Changeset attached => SymmetricDS master 02483ab0
2015-07-30 21:49 Changeset attached => SymmetricDS master 73db9ada
2015-07-30 21:49 Changeset attached => SymmetricDS master 81b8e903
2015-07-30 21:49 Changeset attached => SymmetricDS master 1197f707
2015-07-30 21:49 Changeset attached => SymmetricDS master dbe23e7c
2015-07-30 21:49 Changeset attached => SymmetricDS master 88021ee0